unit uAggreObj;

{$WARN SYMBOL_PLATFORM OFF}

interface

uses
  Windows, ActiveX, Classes, ComObj, pAggregateDemo_TLB, StdVcl;

type
  TAggreObj = class(TTypedComObject, IAggreObj)
  protected
    function GetInnerName(var sName: WideString): HResult; stdcall;
    {Declare IAggreObj methods here}
  end;

implementation

uses ComServ;

function TAggreObj.GetInnerName(var sName: WideString): HResult;
begin
  Result := S_OK;
end;

initialization
  TTypedComObjectFactory.Create(ComServer, TAggreObj, Class_AggreObj,
    ciMultiInstance, tmBoth);
end.
